QGIS Application - Bug report #19293
Incorrect working of the identification tool on the MSSQL layers
2018-06-28 01:19 PM - Lukasz Sychowicz

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.18.20 Regression?: Yes
Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27121
Description

When i use identification tool on MSSQL layer (geometry - line) the tool returns several near results instead of one.

when i use the same tool on shapefile layer (geometry - line) everythings works fine, and tool returns only one result.

this is regression bug because it worked well earlier.
Last version of QGis on which it worked correctly was 2.18.9

History

#1 - 2018-10-02 10:21 PM - Nyall Dawson
- Category changed from Map Tools to Data Provider/MSSQL

#2 - 2018-10-02 10:32 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.2 and report if the error still occurs

#3 - 2018-10-02 10:33 PM - Nyall Dawson
- Resolution set to duplicate

- Status changed from Feedback to Closed

Actually this is a duplicate of #17024
